package com.mortals.xhx.base.system.message;

import com.mortals.xhx.queue.TbQueueCallback;
import com.mortals.xhx.queue.TbQueueMsgHeaders;
import com.mortals.xhx.queue.TopicPartitionInfo;


public interface MessageService {


    /**
     * 发送消息
     *
     * @param info
     * @param header
     * @param message
     * @param callback
     */
    void send(TopicPartitionInfo info, TbQueueMsgHeaders header, String message, TbQueueCallback callback);


    /**
     * 请求队列
     * @param info
     * @param callback
     */
    void queueDeclare(TopicPartitionInfo info, TbQueueCallback callback);


    /**
     * 获取鉴权token
     *
     */
    String getBasePlatformToken();

    /**
     * 获取站点树
     * @return
     */
    String siteTree();


}